* {
  margin: 0%;
  padding: 0%;
  box-sizing: border-box;
  font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
}

html {
  scroll-behavior: smooth;

}

:root {
  --rosa-principal: #E91E63;
  --rosa-claro: #F48FB1;
  --rosa-bg: #FCE4EC;
  --vinho: #AD1457;
}

body {
  background-color: #FFF0F5;
  color: #AD1457;

}

.Navegação {
  position: fixed;
  top: 0%;
  background: rgba(233, 30, 99, 0.4);
  ;
  width: 100%;
  z-index: 100%;
  padding: 1.5rem;

}

.Menu {

  display: flex;
  justify-content: center;
  list-style: none;
  gap: 3rem;

}

.menu-link {
  text-decoration: none;
  color: #FCE4EC;
  font-weight: 500;
  position: relative;
  padding: 0.5rem;


}

.foto-perfil {
  width: 200px;
  height: 200px;
  border-radius: 50%;
  object-fit: cover;
  display: block;
  margin: 150px auto 0;
  /* desce e centraliza */
  box-shadow: 0 0 15px rgba(233, 30, 99, 0.5);
}

.Cabeçalho {
  min-height: 90vh;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  flex-direction: column;
  text-align: center;
  padding-top: 90;
}

.h1 {
  font-size: 2.0rem;
  color: #F48FB1;
  font-weight: bold;
  margin: 20px;

}

.cabeçalho-sub-titulo {
  font-size: 1.5rem;
  color: #b35574;
}

.sobre {
  padding: 6rem 2rem;
}

.sobre-titulo {
  font-size: 3rem;
  color: #F48FB1;
  text-align: center;
  margin-bottom: 20px;
}

.sobre-caixa {
  padding: 2rem;
  max-width: 800px;
  margin: 0 auto;
  border-radius: 16px;
  background: #FCE4EC;
  backdrop-filter: blur 10px;
  border: 2px solid var(#C77DFF)
}

.sobre-paragrafo {
  text-align: center;
  font-size: 1.5rem;


}

.projetos {
  padding: 6rem 2rem;
}


.projetos-titulo {
  text-align: center;
  font-size: 2.5rem;
  margin-bottom: 50px;

}

.projetos-card:hover {
  box-shadow: 0 10px 20px #C77DFF;
  transform: translateY(-10px) scale(1.03);
  transition: all 0.5s ease;
}

.projetos-caixa {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax (300 px, 1 fr));
  max-width: 500px;
  margin: 0 auto;

}

.projetos-card {
  background: #F48FB1;
  border-radius: 16px;
  backdrop-filter: blur(5px);
  border: 1px solid var(#C77DFF);
  overflow: hidden;
  cursor: pointer;

}

.projetos-imagem {
  height: 200px;
  width: 100%;
  object-fit: cover;

}


.info-projetos {
  margin-bottom: 5px;

}

.caixa-textos-projeto {
  padding: 1.5rem;

}


.paragrafo-projetos {
  color: #720f3aee;
  line-height: 1.25rem;

}


.contato {
  text-align: center;
  padding: 4opx 20px;
}

.titulo-contato {
  color: #F8BBD0;
  /* rosa claro */
  border-bottom: 2px solid #E91E63;
  display: inline-block;
  padding-bottom: 5px;
  margin-bottom: 25px;
  font-size: 28px;
}

.lista-de-contatos {

  display: flex;
  flex-direction: column;
  gap: 15px;
  align-items: center;
}

.gmail {
  text-decoration: none;
  color: white;
  background: linear-gradient(135deg, #F8BBD0, #E91E63);
  padding: 12px 25px;
  border-radius: 25px;
  width: 220px;
  transition: 0.3s;
  font-weight: 500;
  box-shadow: 0 0 10px rgba(233, 30, 99, 0.3);

}

.gmail:hover {

  transform: scale(1.05);
  box-shadow: 0 0 15px rgba(233, 30, 99, 0.6);
}

.whatssap {
  text-decoration: none;
  color: white;
  background: linear-gradient(135deg, #F8BBD0, #E91E63);
  padding: 12px 25px;
  border-radius: 25px;
  width: 220px;
  transition: 0.3s;
  font-weight: 500;
  box-shadow: 0 0 10px rgba(233, 30, 99, 0.3);
}

.whatssap:hover {

  transform: scale(1.05);
  box-shadow: 0 0 15px rgba(233, 30, 99, 0.6);
}

.instagram {
  text-decoration: none;
  color: white;
  background: linear-gradient(135deg, #F8BBD0, #E91E63);
  padding: 12px 25px;
  border-radius: 25px;
  width: 220px;
  transition: 0.3s;
  font-weight: 500;
  box-shadow: 0 0 10px rgba(233, 30, 99, 0.3);
}

.instagram:hover {

  transform: scale(1.05);
  box-shadow: 0 0 15px rgba(233, 30, 99, 0.6);
}